<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JOnAS: Java(TM) Open Application Server
  - Copyright (C) 2007-2008 Bull S.A.S.
  - Contact: jonas-team@ow2.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or (at your option) any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id: component.xml 19052 2009-11-26 15:28:58Z alitokmen $
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->

<component xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/component/1.1.0"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/component/1.1.0
                               http://maven.apache.org/xsd/component-1.1.0.xsd">

  <fileSets>
    <fileSet>
      <!-- Copy the configuration -->
      <directory>target/configuration-resources</directory>
      <outputDirectory>/</outputDirectory>
      <fileMode>774</fileMode>
      <excludes>
        <exclude>META-INF/**</exclude>
        <exclude>new*/**</exclude>
        <exclude>bin/**</exclude>
        <exclude>windows_service/**</exclude>
      </excludes>
    </fileSet>
    <fileSet>
      <!-- Copy the scripts -->
      <directory>target/configuration-resources</directory>
      <outputDirectory>/</outputDirectory>
      <fileMode>755</fileMode>
      <includes>
        <include>bin/**</include>
      </includes>
    </fileSet>
    <fileSet>
      <!-- Copy the extra XML configuration files -->
      <directory>target/extra-resources</directory>
      <outputDirectory>conf/</outputDirectory>
      <includes>
        <include>*.xml</include>
      </includes>
    </fileSet>
    <fileSet>
      <!-- Copy the bundles -->
      <directory>target/assemble-resources</directory>
      <outputDirectory>/</outputDirectory>
      <excludes>
        <exclude>META-INF/**</exclude>
      </excludes>
    </fileSet>
    <fileSet>
      <!-- Create the lib/ext, deploy and logs directories -->
      <directory>../src/main/resources</directory>
      <outputDirectory>/</outputDirectory>
      <fileMode>774</fileMode>
    </fileSet>
  </fileSets>

  <dependencySets>
    <dependencySet>
      <!-- - - - - - - - - - - - - - - - - - - - - - - -->
      <!-- JOnAS Bootstrap Libraries                   -->
      <!-- - - - - - - - - - - - - - - - - - - - - - - -->
      <outputDirectory>lib/bootstrap</outputDirectory>
      <outputFileNameMapping>${artifact.artifactId}.${artifact.extension}</outputFileNameMapping>
      <useStrictFiltering>true</useStrictFiltering>
      <includes>
        <include>org.ow2.jonas.launchers:felix-launcher</include>
        <include>org.ow2.jonas:jonas-commands</include>
        <include>org.ow2.jonas:jonas-version</include>
      </includes>
    </dependencySet>

    <dependencySet>
      <!-- Place Ant tasks -->
      <outputDirectory>lib/common</outputDirectory>
      <outputFileNameMapping>ow_jonas_ant.jar</outputFileNameMapping>
      <useStrictFiltering>true</useStrictFiltering>
      <includes>
        <include>org.ow2.jonas:jonas-ant-tasks</include>
      </includes>
    </dependencySet>

  </dependencySets>
</component>
